=== po/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

include (Translations)
add_translations_directory("terminus")
add_translations_catalog("terminus" ../src ../data/interface )
