=== data/interface/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit
