=== debian/changelog ===
terminus (3.6.0-3) unstable; urgency=medium

  * Switch build system from cmake to meson to avoid blhc whining

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 16 Feb 2026 14:10:20 +0000

terminus (3.6.0-2) unstable; urgency=medium

  * Track upstream Gnome 49 support
  * Bump policy
  * Refresh packaging scripts

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 16 Feb 2026 11:50:14 +0000

terminus (3.6.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113567)

 -- Adrian Bunk <bunk@debian.org>  Sun, 30 Nov 2025 06:06:21 +0200

terminus (3.6.0-1) unstable; urgency=medium

  * Update debian/watch uscan support due to gitlab churn
  * New upstream version
  * Bump policy
  * Rules requires root now defaults to no
  * Merge upstream debian/ changes into debian/control

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 23 Aug 2025 10:50:32 +0100
