=== debian/control ===
Source: terminus
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Section: misc
Standards-Version: 4.7.3
Build-Depends: debhelper-compat (= 13),
	valac,
	meson, ninja-build,
	libatk1.0-dev, libcairo2-dev,
	libgtk-3-dev, libgdk-pixbuf-2.0-dev, libgee-0.8-dev,
	libglib2.0-dev, libpango1.0-dev,
	libvte-2.91-gtk4-dev, libx11-dev, intltool
Homepage: https://gitlab.com/rastersoft/terminus
Vcs-Git: https://salsa.debian.org/debian/terminus.git
Vcs-Browser: https://salsa.debian.org/debian/terminus

Package: terminus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglib2.0-bin
Description: Drop-down or in-window terminal for X11 and Wayland
 A new-generation (post-Guake) terminal for X11 and Wayland featuring
 a hot-key Quake-console-like drop-down mode. Other features include a
 scroll-back buffer, multiple tabs, split screen both horizontal and
 vertical, and the usual compatibility features.
