=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

execute_after_dh_auto_install:
	@echo "Remove inappropriate file installed by upstream build scripts."
	-rm --verbose debian/terminus/usr/share/terminus/CMakeLists.txt

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.md

# override_dh_installman: debian/terminus.1
# 	dh_installman

override_dh_dwz:
	@echo "skipping dh_dwz which gets a mysterious error:"
	@echo "dh_dwz: dwz -q -- debian/terminus/usr/bin/terminus returned exit code 1"

# Automatically-generated man page.
# Do this manually:
#  rm debian/terminus.1
#  debian/rules build
#  debian/rules TERMINUS=obj-*/src/terminus debian/terminus.1
TERMINUS=terminus
debian/terminus.1:
	help2man --no-info \
	 --version-string="$(DEB_VERSION)" \
	 --name="$(shell egrep '^Description: ' debian/control | head -1 | sed 's/Description: //')" \
	 $(TERMINUS) > $@
